extensions / Commerce extension
GET
/api/projects/{project_id}/sales/shipments/{shipment_id}/commentsList Shipment Comments
Lists the comments attached to a shipment in the target project.
GETPOST
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
shipment_id | Yes | Not specified | Description: Identifier for shipment. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"shipment_id": 1,
"comment": "string",
"is_customer_notified": "string",
"created_at": "2026-01-01T00:00:00Z"
}Errors
404 not_found500 internal_server_errorAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

